---
title: RTCIceTransport.getLocalCandidates()
slug: Web/API/RTCIceTransport/getLocalCandidates
tags:
  - API
  - Candidates
  - Connectivity
  - ICE
  - Method
  - Negotiation
  - RTCIceTransport
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - getLocalCandidates
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceTransport")}}</strong> method <code><strong>getLocalCandidates()</strong></code> returns an array of {{domxref("RTCIceCandidate")}} objects, one for each of the candidates that have been gathered by the local device during the current {{Glossary("ICE")}} agent session.</span></p>

<p>The local candidates are placed in this list by the ICE agent prior to being delivered to the local client's code in an {{event("icecandidate")}} event so that the client can forward the candidates to the remote peer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>localCandidates</em> = <em>RTCIceTransport</em>.getLocalCandidates();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A JavaScript {{jsxref("Array")}} containing one {{domxref("RTCIceCandidate")}} object for each candidate that has been identified so far during the ICE candidate gathering session.</p>

<p>You can't correlate these local candidates with matching remote candidates. To find the best match found so far, call {{domxref("RTCIceTransport.getSelectedCandidatePair()")}}.</p>

<h2 id="Example">Example</h2>

<p>This simple example gets the local candidate list from the {{domxref("RTCIceTransport")}} for the first {{domxref("RTCRtpSender")}} on the {{domxref("RTCPeerConnection")}}, then outputs to the console all of the candidates in the list.</p>

<pre class="brush: js">var localCandidates = pc.getSenders()[0].transport.transport.getLocalCandidates();

localCandidates.forEach(function(candidate, index)) {
  console.log("Candidate " + index + ": " + candidate.candidate);
});</pre>


<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicetransport-getlocalcandidates', 'RTCIceCandidate.getLocalCandidates()')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceTransport.getLocalCandidates")}}</p>
</div>

